Name:           perl-MooseX-Method-Signatures
Version:        0.44
Release:        1%{?dist}
Summary:        Method declarations with type constraints and no source filter
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Method-Signatures/
Source0:        http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/MooseX-Method-Signatures-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(aliased)
BuildRequires:  perl(B::Hooks::EndOfScope) >= 0.10
BuildRequires:  perl(Context::Preserve)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::Declare) >= 0.005011
BuildRequires:  perl(Eval::Closure)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(metaclass)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose) >= 0.89
BuildRequires:  perl(Moose::Meta::Class)
BuildRequires:  perl(Moose::Meta::Method)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::LazyRequire) >= 0.06
BuildRequires:  perl(MooseX::Meta::TypeConstraint::ForceCoercion)
BuildRequires:  perl(MooseX::Types) >= 0.35
BuildRequires:  perl(MooseX::Types::Moose) >= 0.19
BuildRequires:  perl(MooseX::Types::Structured) >= 0.24
BuildRequires:  perl(MooseX::Types::Util)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Parse::Method::Signatures) >= 1.003014
BuildRequires:  perl(Parse::Method::Signatures::Param::Named)
BuildRequires:  perl(Parse::Method::Signatures::Param::Placeholder)
BuildRequires:  perl(Parse::Method::Signatures::TypeConstraint)
BuildRequires:  perl(Parse::Method::Signatures::Types)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Task::Weaken)
# not yet available in Fedora
#BuildRequires:  perl(Test::CheckDeps)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.89
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Text::Balanced)
# not automatically detected
Requires:       perl(Moose::Meta::Method)
Requires:       perl(MooseX::Types) >= 0.35
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Provides a proper method keyword, like "sub" but specifically for making
methods and validating their arguments against Moose type constraints.

%prep
%setup -q -n MooseX-Method-Signatures-%{version}

# Test::CheckDeps not yet in Fedora
rm -f t/00-check-deps.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 15 2013 Iain Arnell <iarnell@gmail.com> 0.44-1
- update to latest upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Petr Pisar <ppisar@redhat.com> - 0.43-2
- Perl 5.16 rebuild

* Sun Jun 10 2012 Iain Arnell <iarnell@gmail.com> 0.43-1
- update to latest upstream version

* Fri May 18 2012 Iain Arnell <iarnell@gmail.com> 0.42-1
- update to latest upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 23 2011 Iain Arnell <iarnell@gmail.com> 0.37-1
- update to latest upstream version

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.36-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.36-2
- 661697 rebuild for fixing problems with vendorach/lib

* Tue Sep 07 2010 Iain Arnell <iarnell@gmail.com> 0.36-1
- update to latest upstream

* Tue Jul 27 2010 Iain Arnell <iarnell@gmail.com> 0.35-1
- update to latest upstream
- update spec for modern rpmbuild

* Sat Jul 03 2010 Iain Arnell <iarnell@gmail.com> 0.34-1
- Specfile autogenerated by cpanspec 1.78.
